{% set CodiceModulo = "PROP_PROG_MAN" %}
{% set Urn = "document:c_a794:proposta.progettuale.manifestazione;secondario" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}
{% set allegati=[
{ "codice":"PIA-ECO-FIN",
  "urn":"document:c_a794:piano.economico.finanziario;allegato",
  "descrizione_tabella_allegati":"Piano economico",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Piano economico",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"PIA_FIN_CRO_13",
  "urn":"document:c_a794:piano.finanziario.cronoprogramma.13;allegato",
  "descrizione_tabella_allegati":"Cronoprogramma",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Cronoprogramma",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
}
]%}
{% block meta %}

<meta campi_firma="TitolareNonImportare_CodiceFiscale"
campi_firma_label="il/la dichiarante"
classi_modulo=""
codice_modulo="{{ CodiceModulo }}"
trattamento_dati="PERSONALI"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
descrizione="Proposta progettuale allegata a manifestazione di interesse"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
istruzioni_compilazione=""
istruzioni_invio=""
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="secondario"
verifica_pagamento="NO"
versione="1.0|13/06/2024"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
{% endblock meta %}

{% block title %}
  Format Welfare in Ageing
{% endblock title %}

{% block content %}
<script>
     //FUNZIONE PER VERIFICARE IL COMPLETO CARICAMENTO DEL DOM
    //AL CARICAMENTO CARICA POI LA FUNZIONE fn (che gli viene passata quando richiamo la funzione docReady)
    function docReady(fn) {
        // DOM available??
        if (document.readyState === "complete" || document.readyState === "interactive") {
            setTimeout(fn, 1);
        } else {
            document.addEventListener("DOMContentLoaded", fn);
        }
    }

    // RICHIAMO LA FUNZIONE docReady e gli passo la funzione da eseguire al caricamente del DOM
    docReady(function () {
        // DOM Caricato

        // inserisco ciclo che gli elementi con la classe ElementToHide
        var ElementsToHide = document.getElementsByClassName("ElementToHide");
        // ciclo gli elementi ElementToHide
        var i;
        for (i = 0; i < ElementsToHide.length; i++) {
            var x = ElementsToHide[i].firstElementChild.value.split('&', 2);
            if (x[0] == 'checkbox') {
                // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
                if (document.getElementById(x[1]).checked) {
                    // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto
                    ElementsToHide[i].style.display = "";
                }
                else {
                    // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente
                    ElementsToHide[i].style.display = "none";
                }
            }
            else if (x[0] == 'select') {
                // Per ogni elemento individuo verifico se il primo figlio ha un valore per capire se è già stato valorizzato
                if (document.getElementById(x[1]).value != '') {
                    // se c'è un valore diverso da vuoto o - (per le select) MOSTRO il DIV e il suo contenuto
                    ElementsToHide[i].style.display = "";
                }
                else {
                    // Nascondo il campo dalla visualizzazione in modo che non sia visibile all'utente
                    ElementsToHide[i].style.display = "none";
                }
            }

        }

    });

    // FUNZIONE PER MOSTRARE i campi nascosti devo passare due valori
    // 1.Riferimento all'elemento che fa scattare la visualizzazione (triggerEl)
    // 2.Riferimento alla classe degli elementi che dovranno essere mostrati in caso di attivazione
    // ho inserito la classe e non l'id per gestire più contenuti legati ad una singola selezione
    function mostraCampi(triggerEl, classToShow) {
        if (triggerEl.checked) {
            ElList = document.getElementsByClassName(classToShow);
            for (El of ElList) {
                El.style.display = "";
                //El.style.setProperty('pd4ml-display',"");
            }
        } else {
            ElList = document.getElementsByClassName(classToShow);
            for (El of ElList) {
                El.style.display = "none";
                //El.style.setProperty('pd4ml-display',"none");
            }
        }
    }

//Funzione per il conta caratteri
function ContaCaratteri(textareaName) {
        var charScritti = document.getElementById(textareaName).value.length;
        var massimo = 5000;

        document.getElementById(textareaName + '_contaCaratteri').innerHTML = massimo - charScritti;
        if (charScritti > massimo) {
            document.getElementById(textareaName).value = document.getElementById(textareaName).value.substr(0, massimo);
            document.getElementById(textareaName + '_contaCaratteri').innerHTML = 0;
            alert("Massimo " + massimo + " caratteri!");
        }

    }
/** FUNZIONE PER CONVERTIRE DATA "DD/MM/YYYY" IN DATA TIMESTAMP  **/
function StringToDate(date) {
        var dateString = date;
        var dateParts = dateString.split("/");
        var dateObject = new Date(+dateParts[2], dateParts[1] - 1, +dateParts[0]);
        return dateObject;
    }
//Funzione calcolo data fine max 36 mesi
function checkPeriodo(Parametri_DataInizio,Parametri_DataFine) {
  // Recupera i valori delle date dai campi input
  const dataInizio = document.getElementById('Parametri_DataInizio').value;
  const dataFine = document.getElementById('Parametri_DataFine').value;

  

  // Converte le stringhe data in array di componenti (giorno, mese, anno)
  const dataInizioArr = dataInizio.split('/');
  const dataFineArr = dataFine.split('/');

  // Crea oggetti Date usando i componenti delle date
  const dataInizioMs = new Date(
    parseInt(dataInizioArr[2]), // Anno
    parseInt(dataInizioArr[1]) - 1, // Mese (gli indici dei mesi iniziano da 0)
    parseInt(dataInizioArr[0]) // Giorno
  ).getTime();

  const dataFineMs = new Date(
    parseInt(dataFineArr[2]), // Anno
    parseInt(dataFineArr[1]) - 1, // Mese
    parseInt(dataFineArr[0]) // Giorno
  ).getTime();

  // Calcola la differenza in millisecondi
  const diffMs = dataFineMs - dataInizioMs;

  // Converte la differenza in mesi
  const diffMesi = diffMs / (1000 * 60 * 60 * 24 * 30);

  // Controlla se il periodo supera i 36 mesi
  if (diffMesi > 36) {
    alert("Il periodo selezionato supera i 36 mesi massimi.");
    document.getElementById('Parametri_DataFine').value = ""; // Svuota il campo Data Fine
    return false; // Indica che il periodo non è valido
  }

  // Il periodo è valido
  alert("Periodo valido!");
  return true; // Indica che il periodo è valido
}

</script>

<globo_fondo_pagina areaheight="150" scope="6">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="'Format Welfare in ageing'"/>

{{ intestazioni.intestazione_modulosecondario_senzabollo() }}

<div class="container">
  <div class="title-1"> Format Welfare in Ageing </div>
</div>
<div class="space-1"></div>
{{ anagrafica.cognome_nome(prefix='Titolare', 
                           intestazione="Il/La sottoscritto/a", 
                           Solo1="Richiedente", 
                           visibility_intestazione="visibility:visibility", 
                           mandatory_enabled="true", 
                           visibility_container="true") }}
<div class="space-1"></div>
<div class="container">
    <div class="title-1"> PRESENTA </div>
    <div class="paragraph text-justify"> il seguente format di Welfare in Angeing, in allegato alla manifestazione di interesse a partecipare in qualità di partner del Comune di Bergamo al bando della Fondazione Cariplo
    “Welfare in Ageing" 
    </div>
</div>

<div class="container">
   <div class="title-1"> 1. INFORMAZIONI GENERALI </div>
   <div class="paragraph text-justify"> <i><a href="https://www.comune.bergamo.it/faq%3Ac_a794%3Aformat.welfare.ageing%3Bfaq" target="_blank">leggi le istruzioni per una corretta compilazione</a></i>  
   </div>
</div>
<div class="space-1"></div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
        <span class="title"> Titolo del progetto </span>
     </div>
  </div>
  <div class="form-row">
    <div class="col-lg-12">
        <input class="form-control" id="Tassonomia_TitoloProgetto" name="Tassonomia_TitoloProgetto" label="Titolo Progetto" mandatory="true">
    </div>
  </div>
  <div class="form-row">
    <div class="col-lg-12">
        <span class="title"> Responsabile del progetto </span>
     </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-6">
        <label for="Tassonomia_CognomeResp">Cognome</label>
        <input class="form-control" id="Tassonomia_CognomeResp" name="Tassonomia_CognomeResp" label="Cognome referente" mandatory="true">
    </div>
    <div class="form-group col-lg-6">
        <label for="Tassonomia_NomeRef">Nome</label>
        <input class="form-control" id="Tassonomia_NomeResp" name="Tassonomia_NomeResp" label="Nome referente" mandatory="true">
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-6">
        <label for="Tassonomia_TelefonoRef">Telefono</label>
        <input class="form-control" id="Tassonomia_TelefonoResp" name="Tassonomia_TelefonoResp"  label="Telefono referente" mandatory="true">
    </div>
    <div class="form-group col-lg-6">
        <label for="Tassonomia_MailRef">Mail</label>
        <input class="form-control" id="Tassonomia_MailResp" name="Tassonomia_MailResp"  label="Mail referente" format="mail" mandatory="true">
    </div>
  </div>
  <div class="form-check">
    <input class="form-check-input" id="Tassonomia_Localizzazione" name="Tassonomia_Localizzazione" type="checkbox" value="SI">
    <label class="form-check-label" for="Tassonomia_Localizzazione"><strong> Localizzazione del progetto </strong><i>(Se previsti, indicare il/i quartieri, su cui il progetto insisterà)</i> </label>
  </div>
  <div class="form-row indent-1">
    <div class="form-group col-lg-12">
       <label for="Parametri_Quartieri"> Quartieri </label>
       <input class="form-control" id="Parametri_Quartieri" name="Parametri_Quartieri" label="Quartieri" mandatory_enabled="#Tassonomia_Localizzazione.checked()">
    </div>
  </div>
  <div class="form-row">
    <div class="col-lg-12">
        <span class="title"> Durata del progetto </span>
        <div class="paragraph text-justify"> <i>(Fai click sul bottone per il calcolo di 36 mesi a partire dalla tua data di inizio)</i>  </div> 
    </div>
  </div>
  <div class="form-row indent-1">
    <div class="form-group col-lg-4">
        <label for="Parametri_DataInizio"> Data inizio progetto </label>
        <input class="form-control" id="Parametri_DataInizio" name="Parametri_DataInizio" format="date" label="Data inizio" mandatory="true">
    </div>
    <div class="form-group col-lg-4">
        <label for="Parametri_DataFine"> Data fine progetto </label>
        <input class="form-control" id="Parametri_DataFine" name="Parametri_DataFine" format="date" label="Data fine" mandatory="true">
    </div>
    <div class="form-group col-lg-4">
        <input  type="button" class="btn btn-success btn-block"  id="VerificaData" name="VerificaData" value="Verifica Data fine" title="Verifica Data Fine" onclick="checkPeriodo(Parametri_DataInizio,Parametri_DataFine)">  
    </div>
  </div>
  <div class="form-row">
    <div class="col-lg-12">
        <span class="title"> Sintesi del progetto </span> 
    </div>
  </div>
  <div class="form-row">
        <div class="form-group col-lg-12">
        <label for="Parametri_Sintesi"> obiettivi di progetto, target/beneficiari, area di intervento/bisogno che si intende presidiare, azioni da intraprendere, metodo/strategia, esiti attesi e stima complessiva dei beneficiari <i>(max 5000 caratteri, non è possibile utilizzare copia e incolla)</i></label>
        <textarea class="form-control" id="Parametri_Sintesi" name="Parametri_Sintesi" label="Sintesi del progetto" onkeyup="ContaCaratteri('Parametri_Sintesi')" mandatory="true" ></textarea>
       </div>
  </div> 
  <div class="form-row indent-2">
        <div class="col-lg-10">
        </div>
        <div class="col-lg-2">
            <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Sintesi_contaCaratteri">5000</span>
        </div>
  </div>
</div>
<div class="space-1"></div>
<div class="container">
    <div class="title-1"> 2. SOGGETTO/I PROPONENTE/I </div>
    <div class="paragraph text-justify"> <i><a href="https://www.comune.bergamo.it/faq%3Ac_a794%3Aformat.welfare.ageing%3Bfaq#:~:text=2.%20SOGGETTO/I%20PROPONENTE/I%20E%20RETE" target="_blank">leggi le istruzioni per una corretta compilazione</a></i>  
    </div>
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
        <label for="Parametri_GenesiProgetto"> Soggetti coinvolti, genesi del progetto e dispositivi collaborativi e di governance <i>(max 5.000 caratteri, non è possibile utilizzare copia e incolla) </i></label>
        <textarea class="form-control" id="Parametri_GenesiProgetto" name="Parametri_GenesiProgetto" label="Descrizione" mandatory="true" onkeyup="ContaCaratteri('Parametri_GenesiProgetto')"></textarea>
    </div>
  </div>
  <div class="form-row indent-2">
    <div class="col-lg-10">
    </div>
    <div class="col-lg-2">
        <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_GenesiProgetto_contaCaratteri">5000</span>
    </div>
  </div>
  <div class="form-check indent-1 border-bottom" >
    <input class="form-check-input" id="Tassonomia_NumSogg" name="Tassonomia_NumSogg" type="checkbox" checked="checked" dynamic_check="true">
    <label class="form-check-label" for="Tassonomia_NumSogg"> Quanti sono i soggetti che vuoi descrivere? </label>
    <input class="" id="Parametri_NumeroSoggetti" name="Parametri_NumeroSoggetti" style="width: 5%;" label="Numero soggetti" value="0"  mandatory_enabled="#Tassonomia_NumSogg.checked()" format="number"/>
    <label class="form-check-label" for="Parametri_NumeroSoggetti">  </label>
   </div>
   {% for i in range(1, 11) %}
    <div class="form-row">
        <div class="form-group col-lg-8">
        <label for="Parametri_Ente{{i}}">N° {{i}} Ente</label>
        <input class="form-control" id="Parametri_Ente{{i}}" name="Parametri_Ente{{i}}" label="Ente" mandatory_enabled="#Parametri_NumeroSoggetti.value()>={{i}}">
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-lg-12">
        <label for="Parametri_Ruolo{{i}}">Ruolo nel progetto, azione/i di cui è responsabile o in cui è coinvolto</label>
        <input class="form-control" id="Parametri_Ruolo{{i}}" name="Parametri_Ruolo{{i}}" label="Ruolo" mandatory_enabled="#Parametri_NumeroSoggetti.value()>={{i}}">  
        </div>
    </div>     
    <div class="form-row">
         <div class="form-group col-lg-12">
            <label for="Tassonomia_Motivo">Perchè l'ente è stato coinvolto?</label>
            <input class="form-control" id="Tassonomia_Motivo{{i}}" name="Tassonomia_Motivo{{i}}" label="Descrizione motivo {{i}}"  mandatory_enabled="#Parametri_NumeroSoggetti.value()>={{i}}"/>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-lg-12">
            <label for="Tassonomia_Modo">In che modo e su quali fronti collabora con il progetto? </label>
            <input class="form-control" id="Tassonomia_Modo{{i}}" name="Tassonomia_Modo{{i}}" mandatory_enabled="#Parametri_NumeroSoggetti.value()>={{i}}" label="Modalità collaborazione {{i}}">
        </div>
    </div>    
    <div class="form-row">
        <div class="form-group col-lg-6">
            <label for="Tassonomia_Adesione">L’adesione è stata formalizzata con lettera o accordo?</label>
             <select class="form-control custom-select" id="Parametri_Adesione{{i}}" name="Parametri_Adesione{{i}}" label="Adesione" mandatory_enabled="#Parametri_NumeroSoggetti.value()>={{i}}">
              <option value="Si">Sì</option>
              <option value="No">No</option>
            </select>    
        </div>
    </div>

{% endfor %}
</div>

<div class="container">
    <div class="title-1"> 3. ANALISI DEL BISOGNO PER TERRITORIO SCELTO, AREE D’INTERVENTO E TIPOLOGIA DI BISOGNO</div>
    <div class="paragraph text-justify"> <i><a href="https://www.comune.bergamo.it/faq%3Ac_a794%3Aformat.welfare.ageing%3Bfaq#:~:text=3.%20ANALISI%20DEL%20BISOGNO%20PER%20TERRITORIO%20SCELTO%2C%20AREE%20D%E2%80%99INTERVENTO%20E%20TIPOLOGIA%20DI%20BISOGNO" target="_blank">leggi le istruzioni per una corretta compilazione</a></i>  
    </div>
</div>
<div class="container border bg-light">
   <div class="form-row">
        <div class="form-group col-lg-12">
        
            <textarea class="form-control" id="Parametri_Bisogno" name="Parametri_Bisogno" label="Bisogno" mandatory="true" onkeyup="ContaCaratteri('Parametri_Bisogno')"></textarea>
        </div>
    </div>
    <div class="form-row indent-2">
        <div class="col-lg-10">
        </div>
        <div class="col-lg-2">
            <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Bisogno_contaCaratteri">5000</span>
        </div>
  </div>
</div>
<div class="container">
    <div class="title-1"> 4. OBIETTIVI</div>
    <div class="paragraph text-justify"> <i><a href="https://www.comune.bergamo.it/faq%3Ac_a794%3Aformat.welfare.ageing%3Bfaq#:~:text=TIPOLOGIA%20DI%20BISOGNO-,4.%20OBIETTIVI,-5.%20STRATEGIA%20D%E2%80%99INTERVENTO" target="_blank">leggi le istruzioni per una corretta compilazione</a></i>  
    </div>
</div>
<div class="container border bg-light">
    <div class="form-row">
        <div class="form-group col-lg-12">
        
         <textarea class="form-control" id="Parametri_Obiettivi" name="Parametri_Obiettivi" label="Obiettivi" mandatory="true" onkeyup="ContaCaratteri('Parametri_Obiettivi')"></textarea>
        </div>
    </div>
    <div class="form-row indent-2">
        <div class="col-lg-10">
        </div>
        <div class="col-lg-2">
            <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Obiettivi_contaCaratteri">5000</span>
        </div>
  </div>
</div>
    
<div class="container">
    <div class="title-1"> 5. STRATEGIA D’INTERVENTO (MODALITÀ D’INTERVENTO E AZIONI PROGETTUALI) E RISULTATI ATTESI</div>
        <div class="paragraph text-justify"> <i><a href="https://www.comune.bergamo.it/faq%3Ac_a794%3Aformat.welfare.ageing%3Bfaq#:~:text=5.%20STRATEGIA%20D%E2%80%99INTERVENTO%20(MODALIT%C3%80%20D%E2%80%99INTERVENTO%20E%20AZIONI%20PROGETTUALI)%20E%20RISULTATI%20ATTESI" target="_blank">leggi le istruzioni per una corretta compilazione</a></i>  
    </div>
</div>
<div class="container border bg-light">
    <div class="form-row">
        <div class="form-group col-lg-12">
        
        <textarea class="form-control" id="Parametri_Risultati" name="Parametri_Risultati" label="Risultati" mandatory="true" onkeyup="ContaCaratteri('Parametri_Risultati')"></textarea>
        </div>
    </div>
    <div class="form-row indent-2">
        <div class="col-lg-10">
        </div>
        <div class="col-lg-2">
            <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Risultati_contaCaratteri">5000</span>
        </div>
  </div>
</div>

<div class="container border bg-light">
    <div class="form-check indent-1">
        <input class="form-check-input" id="Parametri_Schema" name="Parametri_Schema" type="checkbox" checked="checked" dynamic_check="true" value="SI">
        <label class="form-check-label" for="Parametri_Schema"> Schema riepilogativo di quanto illustrato in precedenza </label>
    </div>
    <div class="form-check indent-2 border-bottom">
        <label for="Parametri_NumeroAzioni">indicare il numero di righe che si vogliono compilare:</label>
        <input class="" id="Parametri_NumeroAzioni" name="Parametri_NumeroAzioni" style="width: 5%;" label="Numero azioni" value="0" mandatory_enabled="#Parametri_Schema.checked()" format="number"/>
    </div>
    <div class="form-row indent-2">
        <div class="form-group col-lg-6">
            <label for="Tassonomia_Azione">Azione</label>
        </div>
        <div class="form-group col-lg-3">
            <label for="Tassonomia_Beneficiari">Tipologia Beneficiari</label>
        </div>
        <div class="form-group col-lg-3">
            <label for="Tassonomia_NumBeneficiari">Stima numerica beneficiari</label>
        </div>
    </div> 
    {% for i in range(1, 6) %}
    <div class="form-row indent-2">
        <div class="col-lg-6">
            <input class="form-control" id="Tassonomia_Azione{{i}}" name="Tassonomia_Azione{{i}}" mandatory_enabled="#Parametri_NumeroAzioni.value()>={{i}}" label="Descrizione azione {{i}}">
        </div>
        <div class="col-lg-3">
            <input class="form-control" id="Tassonomia_Beneficiari{{i}}" name="Tassonomia_Beneficiari{{i}}" label="Tipologia beneficiari {{i}}"  mandatory_enabled="#Parametri_NumeroAzioni.value()>={{i}}"/>
        </div>
        <div class="col-lg-3">
            <input class="form-control" id="Tassonomia_NumBeneficiari{{i}}" name="Tassonomia_NumBeneficiari{{i}}" label="Stima numerica beneficiari {{i}}"  mandatory_enabled="#Parametri_NumeroAzioni.value()>={{i}}"/>
        </div>
    </div>  
    {% endfor %}
</div>
<div class="space-1"></div>
<div class="container">
    <div class="title-1"> 6. PIANO ECONOMICO E IPOTESI DI SOSTENIBILITA’ FUTURA </div>
    <div class="paragraph text-justify"> <i><a href="https://www.comune.bergamo.it/faq%3Ac_a794%3Aformat.welfare.ageing%3Bfaq#:~:text=6.%20PIANO%20ECONOMICO%20E%20IPOTESI%20DI%20SOSTENIBILITA%E2%80%99%20FUTURA" target="_blank">leggi le istruzioni per una corretta compilazione</a></i>  
    </div>
</div>
<div class="container border bg-light">
    <textarea class="form-control" id="Parametri_Piano" name="Parametri_Piano" label="Piano economico" mandatory="true" onkeyup="ContaCaratteri('Parametri_Piano')"></textarea>
    <div class="form-row indent-2">
        <div class="col-lg-10">
        </div>
        <div class="col-lg-2">
            <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Piano_contaCaratteri">5000</span>
        </div>
    </div>
</div>   

<div class="space-1"></div>
<div class="container">
    <div class="title-1"> 7. CRONOPROGRAMMA </div>
    <div class="paragraph text-justify"> <i><a href="https://www.comune.bergamo.it/faq%3Ac_a794%3Aformat.welfare.ageing%3Bfaq#:~:text=DI%20SOSTENIBILITA%E2%80%99%20FUTURA-,7.%20CRONOPROGRAMMA,-Ultimo%20aggiornamento%3A%2014" target="_blank">leggi le istruzioni per una corretta compilazione</a></i>  
    </div>
<div class="container border bg-light">
    <textarea class="form-control" id="Parametri_Cronoprogramma" name="Parametri_Cronoprogramma" label="Cronoprogramma" mandatory="true" onkeyup="ContaCaratteri('Parametri_Cronoprogramma')"></textarea>
    <div class="form-row indent-2">
        <div class="col-lg-10">
        </div>
        <div class="col-lg-2">
            <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Cronoprogramma_contaCaratteri">5000</span>
        </div>
  </div>
</div>

<div class="space-1"></div>
<div class="container">
    <div class="title-1"> 8. ALTRO CHE SI INTENDE AGGIUNGERE A SOSTEGNO DELLA PROPOSTA </div>
</div>
<div class="container border bg-light">
    <textarea class="form-control" id="Parametri_Altro" name="Parametri_Altro" label="Altro" onkeyup="ContaCaratteri('Parametri_Altro')"></textarea>
    <div class="form-row indent-2">
        <div class="col-lg-10">
        </div>
        <div class="col-lg-2">
            <span class="infoes">Caratteri rimanenti</span> <span style="font-weight: bold;" id="Parametri_Altro_contaCaratteri">5000</span>
        </div>
  </div>
</div>


<div class="space-1"></div>


<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  </div>
</div>

{{ utils.firma_hidden() }}

<div class="space-1"></div>

{{ utils.salva()}}

<input id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}